MCP Tools Reference: ces.googleapis.com

工具:delete_toolset

刪除指定的工具集。

下列範例示範如何使用 curl 叫用 delete_toolset MCP 工具。

Curl 要求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_toolset",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

AgentService.DeleteToolset 的要求訊息。

DeleteToolsetRequest

JSON 表示法
{
  "name": string,
  "force": boolean,
  "etag": string
}
欄位
name

string

這是必要旗標,要刪除的工具集資源名稱。

force

boolean

選用。指出是否要強制刪除工具集,即使應用程式/代理程式仍參照該工具集也一樣。

  • 如果 force = false,只要有任何代理程式仍參照工具集,刪除作業就會失敗。
  • 如果刪除 force = true,系統會移除代理程式的所有現有參照,並刪除工具集。
etag

string

選用。工具集的目前 ETag。如果未提供 etag,刪除作業會覆寫任何並行變更。如果提供的 ETag 與工具組目前的 ETag 不符,系統會封鎖刪除作業,並傳回 ABORTED 錯誤。

輸出內容的結構定義

您可以重複使用這個一般空白訊息,避免在 API 中定義重複的空白訊息。常見的例子是將其做為 API 方法的要求或回應類型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具註解

破壞性提示:✅ | 等冪提示:❌ | 唯讀提示:❌ | 開放世界提示:❌